<?php

if (!defined('ABSPATH')) exit;

class fpb_admin {
    public $page_ids;
    public $admin_page_url = 'options-general.php';

    function __construct() {
        add_action('admin_enqueue_scripts', array(&$this, 'admin_enqueue_scripts'));
        add_action('admin_menu', array(&$this, 'admin_menu'));
        add_action('admin_init', array(&$this, 'save_settings'));
    }

    public function admin_enqueue_scripts($hook) {
        if ($hook == 'settings_page_facebook-popup-box') {
            wp_enqueue_script('jquery-ui-core');
            wp_enqueue_script('jquery-ui-tabs');

            wp_enqueue_style('fpb-styler-admin-css', FPB_URL.'css/admin.css');
            wp_enqueue_style('fpb-styler-jqeruyui-css', FPB_URL.'css/ui-lightness/jquery-ui-1.10.3.custom.css');

            do_action('fpb_admin_enqueue_scripts');
        }
    }

    public function admin_menu() {
        $this->page_ids[] = add_options_page(__("Facebook popup box: Settings", "facebook-popup-box"), __("Facebook popup box", "facebook-popup-box"), 'activate_plugins', 'facebook-popup-box', array(&$this, 'tools_menu'));
    }

    public function save_settings() {
        if (!empty($_POST)) {
//            var_dump($_POST);
//            exit();
            global $fpb_core_loader;

            foreach ($_POST as $k => $v) {
                $fpb_core_loader->set($k, $v);
            }
            $fpb_core_loader->save();
//            wp_redirect($this->admin_page_url.'?page=facebook-popup-box');
//            exit;
        }
    }

    public function tools_menu() {
        global $fpb_core_loader;

        include(FPB_PATH.'core/index.php');

        do_action('fpb_admin_display_panel_after');
    }
}

$fpb_core_admin = new fpb_admin();

?>